> ## Documentation Index
> Fetch the complete documentation index at: https://docs.spirii.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Download Expense Report



## OpenAPI

````yaml /openapi/reimbursement/expenses/openapi.yaml get /v1/expense-reports/{reportId}/document
openapi: 3.0.3
info:
  title: Reimbursement
  description: API for managing reimbursement expenses.
  version: '1.0'
servers:
  - url: https://api.spirii.com/reimbursement
security:
  - BearerAuth: []
tags:
  - name: Reimbursement Expenses
    description: Operations related to expense reimbursement.
paths:
  /v1/expense-reports/{reportId}/document:
    get:
      tags:
        - Reimbursement Expenses
      summary: Download Expense Report
      operationId: getExpenseReportDocument
      parameters:
        - $ref: '#/components/parameters/reportId_path'
        - $ref: '#/components/parameters/documentFormat'
      responses:
        '200':
          description: Returns expense report document.
          content:
            text/plain:
              schema:
                type: string
                format: uri
                description: Returns expense report document download url.
            text/csv:
              schema:
                type: string
                format: csv
        default:
          $ref: '#/components/responses/ProblemDetail'
components:
  parameters:
    reportId_path:
      name: reportId
      required: true
      in: path
      description: Unique identifier of the Expense Report.
      schema:
        type: integer
        example: 42
    documentFormat:
      name: format
      in: query
      required: false
      description: File format of the Document.
      schema:
        type: string
        enum:
          - csv
          - pdf
        default: pdf
  responses:
    ProblemDetail:
      description: >-
        An error occurred. Returns a response body conforming to [RFC
        9457](https://www.rfc-editor.org/rfc/rfc9457).
      content:
        application/problem+json:
          schema:
            $ref: '#/components/schemas/ProblemDetail'
  schemas:
    ProblemDetail:
      type: object
      description: RFC 9457 problem details.
      properties:
        type:
          type: string
          example: about:blank
          description: >-
            A URI reference that identifies the problem type. When this member
            is not present, its value is assumed to be "about:blank".
          format: uri
        title:
          example: Bad Request
          description: >-
            A short, human-readable summary of the problem type. It should not
            change from occurrence to occurrence of the problem, except for
            purposes of localization.
          type: string
        status:
          example: 400
          description: >-
            The HTTP status code generated by the origin server for this
            occurrence of the problem.
          type: integer
        detail:
          example: Invalid request body
          description: >-
            A human-readable explanation specific to this occurrence of the
            problem.
          type: string
        instance:
          example: /v1/uri-called/
          description: >-
            A URI reference that identifies the specific occurrence of the
            problem.
          type: string
          format: uri-reference
        errors:
          example:
            - currentPage must be a positive integer
          description: >-
            Optional field containing additional error details, such as
            validation errors.
          type: array
          items:
            type: string
      required:
        - type
        - title
        - status
        - detail
        - instance
  securitySchemes:
    BearerAuth:
      scheme: bearer
      bearerFormat: JWT
      description: Authorization via a JWT bearer token.
      type: http

````